Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.resultsfilter
Class TimeAgoBuildResultsFilter

    java.lang.Object
      com.atlassian.bamboo.builder.resultsfilter.TimeAgoBuildResultsFilter

All Implemented Interfaces:
  BuildResultsFilter

    public class TimeAgoBuildResultsFilter

extends Object
implements BuildResultsFilter

Constructor Summary
`TimeAgoBuildResultsFilter(int days)`

Method Summary
`List` | `getBuildResultsForBuild(Build build)` Obtain a collection of `BuildResultsSummary` for a specified build.
`String` | `getCookieKey()` The key to store in the cookie.
`String` | `getLabel()` The filter's label in the gui

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeAgoBuildResultsFilter

    public TimeAgoBuildResultsFilter(int days)

Method Detail

### getLabel

    public String getLabel()

  Description copied from interface: `BuildResultsFilter`
  The filter's label in the gui

  Specified by:
    `getLabel` in interface `BuildResultsFilter`
  Returns:
    The text to appear in the web drop down

### getCookieKey

    public String getCookieKey()

  Description copied from interface: `BuildResultsFilter`
  The key to store in the cookie.

  Specified by:
    `getCookieKey` in interface `BuildResultsFilter`
  Returns:

### getBuildResultsForBuild

    public List getBuildResultsForBuild(Build build)

  Description copied from interface: `BuildResultsFilter`
  Obtain a collection of `BuildResultsSummary` for a specified build. The number returned will depend on the filter applied.

  Specified by:
    `getBuildResultsForBuild` in interface `BuildResultsFilter`
  Parameters:
    `build` - The build we're interested in
  Returns:
    The filtered list of build result summaries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.